Skip to main content
DELETE
/
connections
/
{connection_id}
/
revoke
JavaScript
import Hyperspell from '@hyperspell/hyperspell';

const client = new Hyperspell({
  apiKey: process.env['HYPERSPELL_API_KEY'], // This is the default and can be omitted
});

const response = await client.connections.revoke('connection_id');

console.log(response.message);
import os
from hyperspell import Hyperspell

client = Hyperspell(
api_key=os.environ.get("HYPERSPELL_API_KEY"), # This is the default and can be omitted
)
response = client.connections.revoke(
"connection_id",
)
print(response.message)
package main

import (
"context"
"fmt"

"github.com/hyperspell/hyperspell-go"
"github.com/hyperspell/hyperspell-go/option"
)

func main() {
client := hyperspell.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Connections.Revoke(context.TODO(), "connection_id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Message)
}
hyperspell connections revoke \
--api-key 'My API Key' \
--connection-id connection_id
curl --request DELETE \
--url https://api.hyperspell.com/connections/{connection_id}/revoke \
--header 'Authorization: Bearer <token>'


{
  "success": true,
  "message": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

API Key or JWT User Token. If using an API Key, set the X-As-User header to act as a specific user. A JWT User Token is always scoped to a specific user.

Path Parameters

connection_id
string
required

Response

Successful Response

success
boolean
required
message
string
required